Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class HelpRegistry

    java.lang.Object
      ru.biosoft.workbench.HelpRegistry

public class HelpRegistry
extends java.lang.Object

Field Summary
`static java.lang.String` | `FILE_ATTR`
`static java.lang.String` | `HELP_SET` Help set extension point.
`static java.lang.String` | `ID_ATTR`

Constructor Summary
`HelpRegistry()`

Method Summary
`static javax.help.HelpBroker` | `getHelpBroker()`
`static javax.help.HelpSet` | `getMainHelpSet()`
`static java.util.Map` | `getRegistry()` The help registry maintains a collection of help system contributions explicitly registered against the ru.biosoft.help.helpSet extension point.
`static void` | `initHelpBroker(java.lang.String mainHelpSetId)`
`protected static void` | `loadExtensions(java.lang.String extensionPointId)` Load all executable extensions for the specified extension point.
`static void` | `mergeHelpSets(javax.help.HelpSet mainHS)` Merges all help sets registered by plugins into the given help set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HELP_SET

    public static final java.lang.String HELP_SET

  Help set extension point.

  See Also:
    Constant Field Values

### ID_ATTR

    public static final java.lang.String ID_ATTR

See Also:
  Constant Field Values

### FILE_ATTR

    public static final java.lang.String FILE_ATTR

See Also:
  Constant Field Values

Constructor Detail

### HelpRegistry

    public HelpRegistry()

Method Detail

### getRegistry

    public static java.util.Map getRegistry()

  The help registry maintains a collection of help system contributions explicitly registered against the ru.biosoft.help.helpSet extension point.

### loadExtensions

    protected static void loadExtensions(java.lang.String extensionPointId)

  Load all executable extensions for the specified extension point.

### getMainHelpSet

    public static javax.help.HelpSet getMainHelpSet()

### getHelpBroker

    public static javax.help.HelpBroker getHelpBroker()

### initHelpBroker

    public static void initHelpBroker(java.lang.String mainHelpSetId)

### mergeHelpSets

    public static void mergeHelpSets(javax.help.HelpSet mainHS)

  Merges all help sets registered by plugins into the given help set.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.